import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-option';

import { _MODULE_CONFIG } from './config/token';

import { OptionProtocolService } from './services/option-protocol.service';

const SERVICES = [OptionProtocolService];

@NgModule({})
export class OptionProtocolRootModule {}

@NgModule({})
export class OptionProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<OptionProtocolRootModule> {
    return {
      ngModule: OptionProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
