import { of } from 'rxjs';
import {
  tap,
  switchMap,
  map,
  catchError,
  exhaustMap,
  withLatestFrom
} from 'rxjs/operators';

import { Injectable } from '@angular/core';

import { Store, select } from '@ngrx/store';
import { Actions, createEffect, ofType } from '@ngrx/effects';

import {
  RoomInfo,
  UpdateResponse,
  OpenResponse,
  ExitResponse,
  Open3Response,
  RoomType,
  InviteResponse,
  UpdateTimerSetResponse,
  ExitForcingResponse
} from '@ucap/protocol-room';

import { RoomProtocolService } from '@ucap/ng-protocol-room';

@Injectable()
export class Effects {
  constructor(
    private actions$: Actions,
    private store: Store<any>,
    private roomProtocolService: RoomProtocolService
  ) {}
}
