import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { OrganizationUiModule } from '../organization-ui.module';

import { Profile01Component } from './profile-01.component';

export default {
  title: 'Profile01Component',
  component: Profile01Component,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, OrganizationUiModule],
      providers: []
    })
  ]
};

export const Text = () => ({
  component: Profile01Component,
  props: {
    text: 'Hello Profile01Component'
  }
});
