import { moduleMetadata } from '@storybook/angular';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { OrganizationUiModule } from '../organization-ui.module';

import { SearchForTenantComponent } from './search-for-tenant.component';

export default {
  title: 'SearchForTenantComponent',
  component: SearchForTenantComponent,
  decorators: [
    moduleMetadata({
      imports: [BrowserModule, BrowserAnimationsModule, OrganizationUiModule],
      providers: []
    })
  ]
};

export const Text = () => ({
  component: SearchForTenantComponent,
  props: {
    text: 'Hello SearchForTenantComponent'
  }
});
